bdi4jade.util

## Class MetadataElement

- java.lang.Object
- - bdi4jade.util.MetadataElement

- Direct Known Subclasses:
    Belief, Plan

      public abstract class MetadataElement
      extends java.lang.Object

  Author:
    ingrid

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataElement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<?,?>` | `getMetadata()`
    `java.lang.Object` | `getMetadata(java.lang.Object name)` Gets a value of a metadata.
    `boolean` | `hasMetadata(java.lang.Object name)` Verifies if a metadata is associated with this element.
    `void` | `putMetadata(java.lang.Object name, java.lang.Object value)` Put a metadata in this element.
    `java.lang.Object` | `removeMetadata(java.lang.Object name)` Removes a metadata of this element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataElement

          public MetadataElement()

  - ### Method Detail

    - #### getMetadata

          public java.util.Map<?,?> getMetadata()

      Returns:
        the metadata

    - #### getMetadata

          public java.lang.Object getMetadata(java.lang.Object name)

      Gets a value of a metadata.
      Parameters:
        `name` - the name of the metadata.
      Returns:
        the existing value of this metadata.

    - #### hasMetadata

          public boolean hasMetadata(java.lang.Object name)

      Verifies if a metadata is associated with this element.
      Parameters:
        `name` - the name of the metadata.
      Returns:
        true if the element has this metadata.

    - #### putMetadata

          public void putMetadata(java.lang.Object name,
                         java.lang.Object value)

      Put a metadata in this element. If it does not exists, it is added, and it is update otherwise.
      Parameters:
        `name` - the name of the metadata.
        `value` - the value associated with this metadata.

    - #### removeMetadata

          public java.lang.Object removeMetadata(java.lang.Object name)

      Removes a metadata of this element.
      Parameters:
        `name` - the name of the metadata.
      Returns:
        the existing value of this metadata.